Subject: [manet] AODV RREP

From: [email-masked]
Date: Sat, 21 May 2005 08:16:42 +0200

In AODV, during a route discovery process, if an intermediary node already have
a route to the destination that is fresh enough, it can send back an RREP.
The advantage of this function is it decrease the response time in large
networks. however, I think this behavior has several drawbacks. First it allows
blackhole attacks and second it had a global effect of "gathering" all the
communication on a few routes. These routes become some good targets for
anybody listening to the traffic. I think a routing protocol should have a
opposite behavior i.e. distribute the routes on the paths and thus reduce the
risk of bottlenecks and reduce the damage and overhead due to link error.

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet